Search for all
- Search 7.x for all
- Search 8.9.x for all
- Search 10.3.x for all
- Search 11.x for all
- Search main for all
- Other projects
| Title | Object type | File name | Summary |
|---|---|---|---|
| paramconverter_manager | service | core/ |
Drupal\Core\ParamConverter\ParamConverterManager |
| paramconverter_subscriber | service | core/ |
Drupal\Core\EventSubscriber\ParamConverterSubscriber |
| paramconverter_test.info.yml | file | core/ |
core/modules/system/tests/modules/paramconverter_test/paramconverter_test.info.yml |
| paramconverter_test.routing.yml | file | core/ |
core/modules/system/tests/modules/paramconverter_test/paramconverter_test.routing.yml |
| ParamNotConvertedException | class | core/ |
Provides an exception class for a request parameter that was not converted. |
| ParamNotConvertedException.php | file | core/ |
|
| ParamNotConvertedException::$rawParameters | property | core/ |
The raw parameters that were not converted. |
| ParamNotConvertedException::$routeName | property | core/ |
The route name that was not converted. |
| ParamNotConvertedException::getRawParameters | function | core/ |
Get the raw parameters that were not converted. |
| ParamNotConvertedException::getRouteName | function | core/ |
Get the route name that was not converted. |
| ParamNotConvertedException::__construct | function | core/ |
Constructs the ParamNotConvertedException. |
| ParserInterface | interface | core/ |
Defines an interface for aggregator parser implementations. |
| ParserInterface.php | file | core/ |
|
| ParserInterface::parse | function | core/ |
Parses feed data. |
| password | service | core/ |
Drupal\Core\Password\PhpassHashedPassword |
| password | service | core/ |
Drupal\Core\Password\PhpassHashedPassword |
| Password | class | core/ |
Provides a form element for entering a password, with hidden text. |
| password-hash.sh | file | core/ |
Drupal hash script - to generate a hash from a plaintext password |
| password-suggestions.css | file | core/ |
Styles for password suggestions in Bartik. |
| Password.php | file | core/ |
|
| Password::getInfo | function | core/ |
Returns the element properties for this element. |
| Password::preRenderPassword | function | core/ |
Prepares a #type 'password' render element for input.html.twig. |
| Password::valueCallback | function | core/ |
Determines how user input is mapped to an element's #value property. |
| PasswordConfirm | class | core/ |
Provides a form element for double-input of passwords. |
| PasswordConfirm.php | file | core/ |
|
| PasswordConfirm::getInfo | function | core/ |
Returns the element properties for this element. |
| PasswordConfirm::processPasswordConfirm | function | core/ |
Expand a password_confirm field into two text boxes. |
| PasswordConfirm::validatePasswordConfirm | function | core/ |
Validates a password_confirm element. |
| PasswordConfirm::valueCallback | function | core/ |
Determines how user input is mapped to an element's #value property. |
| PasswordConfirmTest | class | core/ |
@coversDefaultClass \Drupal\Core\Render\Element\PasswordConfirm[[api-linebreak]] @group Render |
| PasswordConfirmTest.php | file | core/ |
|
| PasswordConfirmTest::providerTestValueCallback | function | core/ |
Data provider for testValueCallback(). |
| PasswordConfirmTest::testValueCallback | function | core/ |
@covers ::valueCallback[[api-linebreak]] |
| PasswordConfirmWidgetTest | class | core/ |
Tests the JS components added to the PasswordConfirm render element. |
| PasswordConfirmWidgetTest.php | file | core/ |
|
| PasswordConfirmWidgetTest::$assert | property | core/ |
WebAssert object. |
| PasswordConfirmWidgetTest::$defaultTheme | property | core/ |
The theme to install as the default for testing. |
| PasswordConfirmWidgetTest::$testUser | property | core/ |
User for testing. |
| PasswordConfirmWidgetTest::setUp | function | core/ |
|
| PasswordConfirmWidgetTest::testFillConfirmOnly | function | core/ |
Tests the password confirm widget so that only confirm input is filled. |
| PasswordConfirmWidgetTest::testPasswordConfirmMessage | function | core/ |
Ensures that password match message is visible when widget is initialized. |
| PasswordConfirmWidgetTest::testPasswordConfirmWidgetJsComponents | function | core/ |
Tests the components added to the password confirm widget. |
| PasswordGeneratorInterface | interface | core/ |
Interface for generating passwords. |
| PasswordGeneratorInterface.php | file | core/ |
|
| PasswordGeneratorInterface::generate | function | core/ |
Generates a password. |
| PasswordHashingTest | class | core/ |
Unit tests for password hashing API. |
| PasswordHashingTest.php | file | core/ |
Contains \Drupal\Tests\Core\Password\PasswordHashingTest. |
| PasswordHashingTest::$hashedPassword | property | core/ |
The hashed password. |
| PasswordHashingTest::$md5HashedPassword | property | core/ |
The md5 password. |
| PasswordHashingTest::$password | property | core/ |
The raw password. |
Pagination
- Previous page
- Page 1138
- Next page
Buggy or inaccurate documentation? Please file an issue. Need support? Need help programming? Connect with the Drupal community.